Package Details: gtk-theme-arc-git 659.766ae1a-1

Git Clone URL: https://aur.archlinux.org/gtk-theme-arc-git.git (read-only)
Package Base: gtk-theme-arc-git
Description: A flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell. Latest commit from the master branch on Github.
Upstream URL: https://github.com/horst3180/arc-theme
Keywords: Arc arc-gtk-theme arc-gtk-theme-git Arc-theme
Licenses: GPL3
Conflicts: arc-gtk-theme
Provides: arc-gtk-theme
Submitter: ebilgenius
Maintainer: ebilgenius
Last Packager: ebilgenius
Votes: 228
Popularity: 2.013183
First Submitted: 2015-05-21 17:50
Last Updated: 2017-03-24 17:58

Required by (5)

Sources (1)

Latest Comments

Jristz commented on 2017-07-02 00:25

should not this be named arc-gtk-theme-git to be consistent with official package on repo??

NicoHood commented on 2016-12-16 22:53

@ebilgenius you do not need to update the PKGBUILD for the git version. User can do this themselves and aur wrappers provide an option to update git (developer) versions.

zerophase commented on 2016-12-11 00:12

Anyone else having issues with the menus in cinnamon not receiving theming? I just installed on a vm, and the theme works correctly, but it doesn't on the host system.

adam900710 commented on 2016-11-20 14:15

Would you please include plank theme?
Since github repo includes it, just a few more install lines would be good enough.

NicoHood commented on 2016-11-15 22:30

No, as this is outdated anyways. Everyone who is still using the old package would do -Syu anyways. If not he does not use archlinux the correct way anyways.
Thanks :)

ebilgenius commented on 2016-11-15 22:11

Sure thing, should I leave 'gtk-theme-arc' there as well?

NicoHood commented on 2016-11-15 22:05

Could you please conflict against arc-gtk-theme now?

acrox999 commented on 2016-10-17 16:36

EDIT: It seems that it's not the package's issue. Must be my time messed up. I hate this ISP for blocking the ntp service.

Somehow, mine refuses to build. It keeps looping while configuring the makefile.

running CONFIG_SHELL=/bin/sh /bin/sh ./configure --prefix=/usr --no-create --no-recursion
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
Building for GNOME 3.22
checking that generated files are newer than configure... done
configure: creating ./config.status
/bin/sh ./config.status
config.status: creating common/Makefile
config.status: creating extra/Makefile
config.status: creating Makefile
make: Warning: File 'Makefile.am' has modification time 26574 s in the future
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /home/user/.cache/pacaur/gtk-theme-arc-git/src/arc-theme/build-aux/missing aclocal-1.15 -I m4
cd . && /bin/sh /home/user/.cache/pacaur/gtk-theme-arc-git/src/arc-theme/build-aux/missing automake-1.15 --foreign
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /home/user/.cache/pacaur/gtk-theme-arc-git/src/arc-theme/build-aux/missing autoconf
/bin/sh ./config.status --recheck

I think the culprit is the timestamp of the Makefile.am. Since that's the only error or warning that comes out. The process loops right after that.

TingPing commented on 2016-09-18 16:04

@Kalentia

They are a part of base-devel and thus implicit when building packages.

sansation commented on 2016-09-18 03:03

Looks like autoconf and automake should be added as makedepends, as they're used in the autogen script.

All comments